# ModelProfitabilityCriterion.AttackerModel
Date: 2019-11-17

org.deidentifier.arx.gui.model

## Enum ModelProfitabilityCriterion.AttackerModel

- java.lang.Object
- - java.lang.Enum<ModelProfitabilityCriterion.AttackerModel>
  - - org.deidentifier.arx.gui.model.ModelProfitabilityCriterion.AttackerModel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ModelProfitabilityCriterion.AttackerModel>

Enclosing class:
  ModelProfitabilityCriterion

    public static enum ModelProfitabilityCriterion.AttackerModel
    extends java.lang.Enum<ModelProfitabilityCriterion.AttackerModel>

The attacker model used by the privacy model

Author:
  Fabian Prasser

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`JOURNALIST`
`PROSECUTOR`

### Method Summary

All Methods Static Methods Concrete Methods
`static ModelProfitabilityCriterion.AttackerModel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ModelProfitabilityCriterion.AttackerModel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PROSECUTOR

    public static final ModelProfitabilityCriterion.AttackerModel PROSECUTOR

#### JOURNALIST

    public static final ModelProfitabilityCriterion.AttackerModel JOURNALIST

### Method Detail

#### values

    public static ModelProfitabilityCriterion.AttackerModel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ModelProfitabilityCriterion.AttackerModel c : ModelProfitabilityCriterion.AttackerModel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ModelProfitabilityCriterion.AttackerModel valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null